DXF Export: problem with some basic shapes
Status: Closed

Priority: Normal

Assignee: Jürgen Fischer

Category: DXF export

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 21132

Description

For a point symbol data it seems like the following basic shapes are not correctly exported:

    -  equilateral triangle (no symbol exported in DXF)

    -  triangle (invalid export, triangle not correctly closed, sometimes results in very long artefact lines towards point 0/0)

    -  filled arrowhead: stroke not correctly exported (only fill appears)

    -  star: (no symbol exported in DXF)

    -  regular star: (no symbol exported in DXF)

    -  diamond (sames situation like triangle, see above)

    -  arrow (no symbol exported in DXF)

    -  pentagon (no symbol exported in DXF)

See attached a project with a Shapefile where each symbol is used and the resulting DXF with the invalid symbols exported.

You can test with the layer "Simple Markers Categorized".

Related issues:

Related to QGIS Application - Bug report # 13063: DXF Export: data-defined ch... Closed 2015-07-02

Associated revisions

Revision b28c4847 - 2015-07-02 09:50 PM - Jürgen Fischer

dxf export:

    -  add missing marker types (fixes #13062)

    -  add missing support for data-defined marker names (fixes #13063)

Revision f202c03e - 2015-07-02 10:31 PM - Jürgen Fischer

dxf export:

    -  add missing marker types (fixes #13062)

    -  add missing support for data-defined marker names (fixes #13063)

(backported from b28c484)

Revision a07fdfa8 - 2015-07-03 11:22 AM - Jürgen Fischer

dxf export:

    -  add missing marker types (fixes #13062)

    -  add missing support for data-defined marker names (fixes #13063)

(cherry picked from commit b28c4847c7d928a3ec34f187bb7429e83a49f6a9)
History

#1 - 2015-07-02 01:57 AM - Andreas Neumann

- File very_long_artefact_lines_from_triangle_symbols_towards_0_0.png added

- File dxf_basic_shapes_test.zip added

#2 - 2015-07-02 12:50 PM - Jürgen Fischer

- Status changed from Open to Closed

Fixed in changeset commit:"b28c4847c7d928a3ec34f187bb7429e83a49f6a9".

#3 - 2015-07-02 02:20 PM - Jürgen Fischer

- Resolution set to fixed/implemented

BTW outstanding bugreport :)

Files

dxf_basic_shapes_test.zip 11.7 KB 2015-07-01 Andreas Neumann

very_long_artefact_lines_from_triangle_symbols_towards_0_0.png 356 KB 2015-07-01 Andreas Neumann
